--------------------------------------------------------------------------------
-- Text replacement function
--------------------------------------------------------------------------------
function AtlasLoot_FixText(text)
    --Armour class
    text = gsub(text, "#a1#", ATLASLOOT_CLOTH);
    text = gsub(text, "#a2#", ATLASLOOT_LEATHER);
    text = gsub(text, "#a3#", ATLASLOOT_MAIL);
    text = gsub(text, "#a4#", ATLASLOOT_PLATE);

    --Body slot
    text = gsub(text, "#s1#", ATLASLOOT_HEAD);
    text = gsub(text, "#s2#", ATLASLOOT_NECK);
    text = gsub(text, "#s3#", ATLASLOOT_SHOULDER);
    text = gsub(text, "#s4#", ATLASLOOT_BACK);
    text = gsub(text, "#s5#", ATLASLOOT_CHEST);
    text = gsub(text, "#s6#", ATLASLOOT_SHIRT);
    text = gsub(text, "#s7#", ATLASLOOT_TABARD);
    text = gsub(text, "#s8#", ATLASLOOT_WRIST);
    text = gsub(text, "#s9#", ATLASLOOT_HANDS);
    text = gsub(text, "#s10#", ATLASLOOT_WAIST);
    text = gsub(text, "#s11#", ATLASLOOT_LEGS);
    text = gsub(text, "#s12#", ATLASLOOT_FEET);
    text = gsub(text, "#s13#", ATLASLOOT_RING);
    text = gsub(text, "#s14#", ATLASLOOT_TRINKET);
    text = gsub(text, "#s15#", ATLASLOOT_OFF_HAND);
    text = gsub(text, "#s16#", ATLASLOOT_RELIC);

    --Weapon Weilding
    text = gsub(text, "#h1#", ATLASLOOT_ONE_HAND);
    text = gsub(text, "#h2#", ATLASLOOT_TWO_HAND);
    text = gsub(text, "#h3#", ATLASLOOT_MAIN_HAND);
    text = gsub(text, "#h4#", ATLASLOOT_OFFHAND);

    --Weapon type
    text = gsub(text, "#w1#", ATLASLOOT_AXE);
    text = gsub(text, "#w2#", ATLASLOOT_BOW);
    text = gsub(text, "#w3#", ATLASLOOT_CROSSBOW);
    text = gsub(text, "#w4#", ATLASLOOT_DAGGER);
    text = gsub(text, "#w5#", ATLASLOOT_GUN);
    text = gsub(text, "#w6#", ATLASLOOT_MACE);
    text = gsub(text, "#w7#", ATLASLOOT_POLEARM);
    text = gsub(text, "#w8#", ATLASLOOT_SHIELD);
    text = gsub(text, "#w9#", ATLASLOOT_STAFF);
    text = gsub(text, "#w10#", ATLASLOOT_SWORD);
    text = gsub(text, "#w11#", ATLASLOOT_THROWN);
    text = gsub(text, "#w12#", ATLASLOOT_WAND);
    text = gsub(text, "#w13#", ATLASLOOT_FIST);

    -- Misc. Equipment
    text = gsub(text, "#e1#", ATLASLOOT_POTION);
    text = gsub(text, "#e2#", ATLASLOOT_FOOD);
    text = gsub(text, "#e3#", ATLASLOOT_DRINK);
    text = gsub(text, "#e4#", ATLASLOOT_BANDAGE);
    text = gsub(text, "#e5#", ATLASLOOT_ARROW);
    text = gsub(text, "#e6#", ATLASLOOT_BULLET);
    text = gsub(text, "#e7#", ATLASLOOT_MOUNT);
    text = gsub(text, "#e8#", ATLASLOOT_AMMO);
    text = gsub(text, "#e9#", ATLASLOOT_QUIVER);
    text = gsub(text, "#e10#", ATLASLOOT_BAG);
    text = gsub(text, "#e11#", ATLASLOOT_ENCHANT);
    text = gsub(text, "#e12#", ATLASLOOT_TRADE_GOODS);
    text = gsub(text, "#e13#", ATLASLOOT_SCOPE);
    text = gsub(text, "#e14#", ATLASLOOT_KEY);
    text = gsub(text, "#e15#", ATLASLOOT_PET);
    text = gsub(text, "#e16#", ATLASLOOT_IDOL);
    text = gsub(text, "#e17#", ATLASLOOT_TOTEM);
    text = gsub(text, "#e18#", ATLASLOOT_LIBRAM);
    text = gsub(text, "#e19#", ATLASLOOT_DARKMOON);
    text = gsub(text, "#e20#", ATLASLOOT_BOOK);
    text = gsub(text, "#e21#", ATLASLOOT_BANNER);
    text = gsub(text, "#e22#", ATLASLOOT_FACTION_ARGENT_INSIGNIAS);
    text = gsub(text, "#e23#", ATLASLOOT_GEM);
    text = gsub(text, "#e24#", ATLASLOOT_TOKENS);
    text = gsub(text, "#e25#", ATLASLOOT_TOKENS_HORDE);
    text = gsub(text, "#e26#", ATLASLOOT_TOKENS_ALLIANCE);
    text = gsub(text, "#e27#", ATLASLOOT_TOKEN);
    text = gsub(text, "#e28#", ATLASLOOT_CRAFTING);
    text = gsub(text, "#e29#", ATLASLOOT_TIER_4);
    text = gsub(text, "#e30#", ATLASLOOT_TIER_5);

    -- Classes
    text = gsub(text, "#c1#", ATLASLOOT_DRUID);
    text = gsub(text, "#c2#", ATLASLOOT_HUNTER);
    text = gsub(text, "#c3#", ATLASLOOT_MAGE);
    text = gsub(text, "#c4#", ATLASLOOT_PALADIN);
    text = gsub(text, "#c5#", ATLASLOOT_PRIEST);
    text = gsub(text, "#c6#", ATLASLOOT_ROGUE);
    text = gsub(text, "#c7#", ATLASLOOT_SHAMAN);
    text = gsub(text, "#c8#", ATLASLOOT_WARLOCK);
    text = gsub(text, "#c9#", ATLASLOOT_WARRIOR);

    --Professions
    text = gsub(text, "#p1#", ATLASLOOT_ALCHEMY);
    text = gsub(text, "#p2#", ATLASLOOT_BLACKSMITHING);
    text = gsub(text, "#p3#", ATLASLOOT_COOKING);
    text = gsub(text, "#p4#", ATLASLOOT_ENCHANTING);
    text = gsub(text, "#p5#", ATLASLOOT_ENGINEERING);
    text = gsub(text, "#p6#", ATLASLOOT_FIRST_AID);
    text = gsub(text, "#p7#", ATLASLOOT_LEATHERWORKING);
    text = gsub(text, "#p8#", ATLASLOOT_TAILORING);
    text = gsub(text, "#p9#", ATLASLOOT_DRAGONSCALE);
    text = gsub(text, "#p10#", ATLASLOOT_TRIBAL);
    text = gsub(text, "#p11#", ATLASLOOT_ELEMENTAL);
    text = gsub(text, "#p12#", ATLASLOOT_JEWELCRAFTING);

    --Reputation
    text = gsub(text, "#r1#", ATLASLOOT_NEUTRAL);
    text = gsub(text, "#r2#", ATLASLOOT_FRIENDLY);
    text = gsub(text, "#r3#", ATLASLOOT_HONORED);
    text = gsub(text, "#r4#", ATLASLOOT_REVERED);
    text = gsub(text, "#r5#", ATLASLOOT_EXALTED);

    --Battleground Factions
    text = gsub(text, "#b1#", ATLASLOOT_BG_STORMPIKE);
    text = gsub(text, "#b2#", ATLASLOOT_BG_FROSTWOLF);
    text = gsub(text, "#b3#", ATLASLOOT_BG_SENTINELS);
    text = gsub(text, "#b4#", ATLASLOOT_BG_OUTRIDERS);
    text = gsub(text, "#b5#", ATLASLOOT_BG_ARATHOR);
    text = gsub(text, "#b6#", ATLASLOOT_BG_DEFILERS);
    
    --BRDArena
    text = gsub(text, "#brd1#", ATLASLOOT_BRDARENA1);
    text = gsub(text, "#brd2#", ATLASLOOT_BRDARENA2);
    text = gsub(text, "#brd3#", ATLASLOOT_BRDARENA3);
    text = gsub(text, "#brd4#", ATLASLOOT_BRDARENA4);
    text = gsub(text, "#brd5#", ATLASLOOT_BRDARENA5);
    text = gsub(text, "#brd6#", ATLASLOOT_BRDARENA6);

    --Sunken Temple Mini Bosses
    text = gsub(text, "#st1#", ATLASLOOT_ST1);
    text = gsub(text, "#st2#", ATLASLOOT_ST2);
    text = gsub(text, "#st3#", ATLASLOOT_ST3);
    text = gsub(text, "#st4#", ATLASLOOT_ST4);
    text = gsub(text, "#st5#", ATLASLOOT_ST5);
    text = gsub(text, "#st6#", ATLASLOOT_ST6);


    -- Misc phrases and mod specific stuff
    text = gsub(text, "#m1#", ATLASLOOT_CLASSES);
    text = gsub(text, "#m2#", ATLASLOOT_ITEMBEGINSQUEST);
    text = gsub(text, "#m3#", ATLASLOOT_QUESTITEM);
    text = gsub(text, "#m4#", ATLASLOOT_QUESTREWARD);
    text = gsub(text, "#m5#", ATLASLOOT_SHARED);
    text = gsub(text, "#m6#", ATLASLOOT_HORDE);
    text = gsub(text, "#m7#", ATLASLOOT_ALLIANCE);
    text = gsub(text, "#m8#", ATLASLOOT_UNIQUE);
    text = gsub(text, "#m9#", ATLASLOOT_RIGHTSIDE);
    text = gsub(text, "#m10#", ATLASLOOT_LEFTSIDE);
    text = gsub(text, "#m11#", ATLASLOOT_FELCOREBAG);
    text = gsub(text, "#m12#", ATLASLOOT_ONYBAG);
    text = gsub(text, "#m13#", ATLASLOOT_WCBAG);
    text = gsub(text, "#m14#", ATLASLOOT_FULLSKILL);
    text = gsub(text, "#m15#", ATLASLOOT_295);
    text = gsub(text, "#m16#", ATLASLOOT_275);
    text = gsub(text, "#m17#", ATLASLOOT_265);
    text = gsub(text, "#m18#", ATLASLOOT_290);
    text = gsub(text, "#m19#", ATLASLOOT_SET);
    text = gsub(text, "#m20#", ATLASLOOT_285);
    text = gsub(text, "#m21#", ATLASLOOT_16SLOT);
    text = gsub(text, "#m22#", ATLASLOOT_RANDOM);
    text = gsub(text, "#m23#", ATLASLOOT_HEROIC);

    text = gsub(text, "#x1#", ATLASLOOT_COBRAHN);
    text = gsub(text, "#x2#", ATLASLOOT_ANACONDRA);
    text = gsub(text, "#x3#", ATLASLOOT_SERPENTIS);
    text = gsub(text, "#x4#", ATLASLOOT_FANGDRUID);
    text = gsub(text, "#x5#", ATLASLOOT_PYTHAS);
    text = gsub(text, "#x6#", ATLASLOOT_VANCLEEF);
    text = gsub(text, "#x7#", ATLASLOOT_GREENSKIN);
    text = gsub(text, "#x8#", ATLASLOOT_DEFIASMINER);
    text = gsub(text, "#x9#", ATLASLOOT_DEFIASOVERSEER);
    text = gsub(text, "#x10#", ATLASLOOT_Primal_Hakkari_Kossack);
    text = gsub(text, "#x11#", ATLASLOOT_Primal_Hakkari_Shawl);
    text = gsub(text, "#x12#", ATLASLOOT_Primal_Hakkari_Bindings);
    text = gsub(text, "#x13#", ATLASLOOT_Primal_Hakkari_Sash);
    text = gsub(text, "#x14#", ATLASLOOT_Primal_Hakkari_Stanchion);
    text = gsub(text, "#x15#", ATLASLOOT_Primal_Hakkari_Aegis);
    text = gsub(text, "#x16#", ATLASLOOT_Primal_Hakkari_Girdle);
    text = gsub(text, "#x17#", ATLASLOOT_Primal_Hakkari_Armsplint);
    text = gsub(text, "#x18#", ATLASLOOT_Primal_Hakkari_Tabard);
    text = gsub(text, "#x19#", ATLASLOOT_Qiraji_Ornate_Hilt);
    text = gsub(text, "#x20#", ATLASLOOT_Qiraji_Martial_Drape);
    text = gsub(text, "#x21#", ATLASLOOT_Qiraji_Magisterial_Ring);
    text = gsub(text, "#x22#", ATLASLOOT_Qiraji_Ceremonial_Ring);
    text = gsub(text, "#x23#", ATLASLOOT_Qiraji_Regal_Drape);
    text = gsub(text, "#x24#", ATLASLOOT_Qiraji_Spiked_Hilt);
    text = gsub(text, "#x25#", ATLASLOOT_Qiraji_Bindings_of_Dominance);
    text = gsub(text, "#x26#", ATLASLOOT_Veknilashs_Circlet);
    text = gsub(text, "#x27#", ATLASLOOT_Ouros_Intact_Hide);
    text = gsub(text, "#x28#", ATLASLOOT_Husk_of_the_Old_God);
    text = gsub(text, "#x29#", ATLASLOOT_Qiraji_Bindings_of_Command);
    text = gsub(text, "#x30#", ATLASLOOT_Veklors_Diadem);
    text = gsub(text, "#x31#", ATLASLOOT_Skin_of_the_Great_Sandworm);
    text = gsub(text, "#x32#", ATLASLOOT_Carapace_of_the_Old_God);
    text = gsub(text, "#x33#", ATLASLOOT_SCARLETDEFENDER);
    text = gsub(text, "#x34#", ATLASLOOT_SCARLETTRASH);
    text = gsub(text, "#x35#", ATLASLOOT_SCARLETCHAMPION);
    text = gsub(text, "#x36#", ATLASLOOT_SCARLETCENTURION);
    text = gsub(text, "#x37#", ATLASLOOT_SCARLETHEROD);
    text = gsub(text, "#x38#", ATLASLOOT_SCARLETPROTECTOR);
    text = gsub(text, "#x39#", ATLASLOOT_SCARLETINTERROGATOR);
    text = gsub(text, "#x40#", ATLASLOOT_DUNGEONSET2BOSS);
    text = gsub(text, "#x41#", ATLASLOOT_BRDCHEST);
    text = gsub(text, "#x42#", ATLASLOOT_GUZZLER_BLACKBREATH);
    text = gsub(text, "#x43#", ATLASLOOT_GUZZLER_PHALANX);
    text = gsub(text, "#x44#", ATLASLOOT_GUZZLER_RIBBLY);
    text = gsub(text, "#x45#", ATLASLOOT_BRD_WARDER);
    text = gsub(text, "#x46#", ATLASLOOT_BRD_COFFER);
    text = gsub(text, "#x47#", ATLASLOOT_BRD_SAFE);
    text = gsub(text, "#x48#", ATLASLOOT_DM_CHORUSH);
    text = gsub(text, "#x49#", ATLASLOOT_GUZZLER_SPAZZRING);
    text = gsub(text, "#x50#", ATLASLOOT_BRD_VAULT);
    text = gsub(text, "#x51#", ATLASLOOT_DM_TANNIN);
    text = gsub(text, "#x52#", ATLASLOOT_DM_FENGUS);
    text = gsub(text, "#x53#", ATLASLOOT_DM_PRINCE);
    text = gsub(text, "#x54#", ATLASLOOT_SCARLET_DOAN);
    text = gsub(text, "#x55#", ATLASLOOT_SCARLET_TRAINEE);
    text = gsub(text, "#x56#", ATLASLOOT_UBRS_BREASTPLATE);
    text = gsub(text, "#x57#", ATLASLOOT_STRAT_STRONGBOX);
    text = gsub(text, "#x58#", ATLASLOOT_STRAT_PAINTING);
    text = gsub(text, "#x59#", ATLASLOOT_DM_FELVINE);
    text = gsub(text, "#x60#", ATLASLOOT_BRD_FLAMEKEEPER);
    text = gsub(text, "#x61#", ATLASLOOT_ULD_BAELOG);
    text = gsub(text, "#x62#", ATLASLOOT_ULD_ERIK);
    text = gsub(text, "#x63#", ATLASLOOT_ULD_OLAF);
    text = gsub(text, "#x64#", ATLASLOOT_ULD_BAELOG_CHEST);
    text = gsub(text, "#x65#", ATLASLOOT_BRD_VEREK);
    text = gsub(text, "#x66#", ATLASLOOT_SCHOLO_FROSTWHISPER);
    text = gsub(text, "#x67#", ATLASLOOT_BSF_FELSTEED);
    text = gsub(text, "#x68#", ATLASLOOT_BSF_Deathsworn);
    
    --Pre60 Sets
    text = gsub(text, "#pre60s1#", ATLASLOOT_PRE60_DEADMINES);
    text = gsub(text, "#pre60s2#", ATLASLOOT_PRE60_WAILING);
    text = gsub(text, "#pre60s3#", ATLASLOOT_PRE60_SCARLET);
    text = gsub(text, "#pre60s4#", ATLASLOOT_PRE60_BLACKROCKD);
    text = gsub(text, "#pre60s5#", ATLASLOOT_PRE60_IRONWEAVE);
    text = gsub(text, "#pre60s6#", ATLASLOOT_PRE60_NECROPILE);
    text = gsub(text, "#pre60s7#", ATLASLOOT_PRE60_CADAVEROUS);
    text = gsub(text, "#pre60s8#", ATLASLOOT_PRE60_BLOODMAIL);
    text = gsub(text, "#pre60s9#", ATLASLOOT_PRE60_DEATHBONE);

    --ZG Sets
    text = gsub(text, "#zgs1#", ATLASLOOT_ZG_DRUID);
    text = gsub(text, "#zgs2#", ATLASLOOT_ZG_HUNTER);
    text = gsub(text, "#zgs3#", ATLASLOOT_ZG_MAGE);
    text = gsub(text, "#zgs4#", ATLASLOOT_ZG_PALADIN);
    text = gsub(text, "#zgs5#", ATLASLOOT_ZG_PRIEST);
    text = gsub(text, "#zgs6#", ATLASLOOT_ZG_ROGUE);
    text = gsub(text, "#zgs7#", ATLASLOOT_ZG_SHAMAN);
    text = gsub(text, "#zgs8#", ATLASLOOT_ZG_WARLOCK);
    text = gsub(text, "#zgs9#", ATLASLOOT_ZG_WARRIOR);
    
    --AQ20 Sets
    text = gsub(text, "#aq20s1#", ATLASLOOT_AQ20_DRUID);
    text = gsub(text, "#aq20s2#", ATLASLOOT_AQ20_HUNTER);
    text = gsub(text, "#aq20s3#", ATLASLOOT_AQ20_MAGE);
    text = gsub(text, "#aq20s4#", ATLASLOOT_AQ20_PALADIN);
    text = gsub(text, "#aq20s5#", ATLASLOOT_AQ20_PRIEST);
    text = gsub(text, "#aq20s6#", ATLASLOOT_AQ20_ROGUE);
    text = gsub(text, "#aq20s7#", ATLASLOOT_AQ20_SHAMAN);
    text = gsub(text, "#aq20s8#", ATLASLOOT_AQ20_WARLOCK);
    text = gsub(text, "#aq20s9#", ATLASLOOT_AQ20_WARRIOR);
    
    --AQ40 Sets
    text = gsub(text, "#aq40s1#", ATLASLOOT_AQ40_DRUID);
    text = gsub(text, "#aq40s2#", ATLASLOOT_AQ40_HUNTER);
    text = gsub(text, "#aq40s3#", ATLASLOOT_AQ40_MAGE);
    text = gsub(text, "#aq40s4#", ATLASLOOT_AQ40_PALADIN);
    text = gsub(text, "#aq40s5#", ATLASLOOT_AQ40_PRIEST);
    text = gsub(text, "#aq40s6#", ATLASLOOT_AQ40_ROGUE);
    text = gsub(text, "#aq40s7#", ATLASLOOT_AQ40_SHAMAN);
    text = gsub(text, "#aq40s8#", ATLASLOOT_AQ40_WARLOCK);
    text = gsub(text, "#aq40s9#", ATLASLOOT_AQ40_WARRIOR);
    
    --T0 Sets
    text = gsub(text, "#t0s1#", ATLASLOOT_T0_DRUID);
    text = gsub(text, "#t0s2#", ATLASLOOT_T0_HUNTER);
    text = gsub(text, "#t0s3#", ATLASLOOT_T0_MAGE);
    text = gsub(text, "#t0s4#", ATLASLOOT_T0_PALADIN);
    text = gsub(text, "#t0s5#", ATLASLOOT_T0_PRIEST);
    text = gsub(text, "#t0s6#", ATLASLOOT_T0_ROGUE);
    text = gsub(text, "#t0s7#", ATLASLOOT_T0_SHAMAN);
    text = gsub(text, "#t0s8#", ATLASLOOT_T0_WARLOCK);
    text = gsub(text, "#t0s9#", ATLASLOOT_T0_WARRIOR);
    
    --T0.5 Sets
    text = gsub(text, "#t05s1#", ATLASLOOT_T05_DRUID);
    text = gsub(text, "#t05s2#", ATLASLOOT_T05_HUNTER);
    text = gsub(text, "#t05s3#", ATLASLOOT_T05_MAGE);
    text = gsub(text, "#t05s4#", ATLASLOOT_T05_PALADIN);
    text = gsub(text, "#t05s5#", ATLASLOOT_T05_PRIEST);
    text = gsub(text, "#t05s6#", ATLASLOOT_T05_ROGUE);
    text = gsub(text, "#t05s7#", ATLASLOOT_T05_SHAMAN);
    text = gsub(text, "#t05s8#", ATLASLOOT_T05_WARLOCK);
    text = gsub(text, "#t05s9#", ATLASLOOT_T05_WARRIOR);
    
    --T1 Sets
    text = gsub(text, "#t1s1#", ATLASLOOT_T1_DRUID);
    text = gsub(text, "#t1s2#", ATLASLOOT_T1_HUNTER);
    text = gsub(text, "#t1s3#", ATLASLOOT_T1_MAGE);
    text = gsub(text, "#t1s4#", ATLASLOOT_T1_PALADIN);
    text = gsub(text, "#t1s5#", ATLASLOOT_T1_PRIEST);
    text = gsub(text, "#t1s6#", ATLASLOOT_T1_ROGUE);
    text = gsub(text, "#t1s7#", ATLASLOOT_T1_SHAMAN);
    text = gsub(text, "#t1s8#", ATLASLOOT_T1_WARLOCK);
    text = gsub(text, "#t1s9#", ATLASLOOT_T1_WARRIOR);
    
    --T2 Sets
    text = gsub(text, "#t2s1#", ATLASLOOT_T2_DRUID);
    text = gsub(text, "#t2s2#", ATLASLOOT_T2_HUNTER);
    text = gsub(text, "#t2s3#", ATLASLOOT_T2_MAGE);
    text = gsub(text, "#t2s4#", ATLASLOOT_T2_PALADIN);
    text = gsub(text, "#t2s5#", ATLASLOOT_T2_PRIEST);
    text = gsub(text, "#t2s6#", ATLASLOOT_T2_ROGUE);
    text = gsub(text, "#t2s7#", ATLASLOOT_T2_SHAMAN);
    text = gsub(text, "#t2s8#", ATLASLOOT_T2_WARLOCK);
    text = gsub(text, "#t2s9#", ATLASLOOT_T2_WARRIOR);
    
    --T3 Sets
    text = gsub(text, "#t3s1#", ATLASLOOT_T3_DRUID);
    text = gsub(text, "#t3s2#", ATLASLOOT_T3_HUNTER);
    text = gsub(text, "#t3s3#", ATLASLOOT_T3_MAGE);
    text = gsub(text, "#t3s4#", ATLASLOOT_T3_PALADIN);
    text = gsub(text, "#t3s5#", ATLASLOOT_T3_PRIEST);
    text = gsub(text, "#t3s6#", ATLASLOOT_T3_ROGUE);
    text = gsub(text, "#t3s7#", ATLASLOOT_T3_SHAMAN);
    text = gsub(text, "#t3s8#", ATLASLOOT_T3_WARLOCK);
    text = gsub(text, "#t3s9#", ATLASLOOT_T3_WARRIOR);
    
    --T4 Sets
    text = gsub(text, "#t4s1_1#", ATLASLOOT_T4_DRUID_1);
    text = gsub(text, "#t4s1_2#", ATLASLOOT_T4_DRUID_2);
    text = gsub(text, "#t4s1_3#", ATLASLOOT_T4_DRUID_3);
    text = gsub(text, "#t4s2#", ATLASLOOT_T4_HUNTER);
    text = gsub(text, "#t4s3#", ATLASLOOT_T4_MAGE);
    text = gsub(text, "#t4s4_1#", ATLASLOOT_T4_PALADIN_1);
    text = gsub(text, "#t4s4_2#", ATLASLOOT_T4_PALADIN_2);
    text = gsub(text, "#t4s4_3#", ATLASLOOT_T4_PALADIN_3);
    text = gsub(text, "#t4s5_1#", ATLASLOOT_T4_PRIEST_1);
    text = gsub(text, "#t4s5_2#", ATLASLOOT_T4_PRIEST_2);
    text = gsub(text, "#t4s6#", ATLASLOOT_T4_ROGUE);
    text = gsub(text, "#t4s7_1#", ATLASLOOT_T4_SHAMAN_1);
    text = gsub(text, "#t4s7_2#", ATLASLOOT_T4_SHAMAN_2);
    text = gsub(text, "#t4s7_3#", ATLASLOOT_T4_SHAMAN_3);
    text = gsub(text, "#t4s8#", ATLASLOOT_T4_WARLOCK);
    text = gsub(text, "#t4s9_1#", ATLASLOOT_T4_WARRIOR_1);
    text = gsub(text, "#t4s9_2#", ATLASLOOT_T4_WARRIOR_2);
    
    --T5 Sets
    text = gsub(text, "#t5s1_1#", ATLASLOOT_T5_DRUID_1);
    text = gsub(text, "#t5s1_2#", ATLASLOOT_T5_DRUID_2);
    text = gsub(text, "#t5s1_3#", ATLASLOOT_T5_DRUID_3);
    text = gsub(text, "#t5s2#", ATLASLOOT_T5_HUNTER);
    text = gsub(text, "#t5s3#", ATLASLOOT_T5_MAGE);
    text = gsub(text, "#t5s4_1#", ATLASLOOT_T5_PALADIN_1);
    text = gsub(text, "#t5s4_2#", ATLASLOOT_T5_PALADIN_2);
    text = gsub(text, "#t5s4_3#", ATLASLOOT_T5_PALADIN_3);
    text = gsub(text, "#t5s5_1#", ATLASLOOT_T5_PRIEST_1);
    text = gsub(text, "#t5s5_2#", ATLASLOOT_T5_PRIEST_2);
    text = gsub(text, "#t5s6#", ATLASLOOT_T5_ROGUE);
    text = gsub(text, "#t5s7_1#", ATLASLOOT_T5_SHAMAN_1);
    text = gsub(text, "#t5s7_2#", ATLASLOOT_T5_SHAMAN_2);
    text = gsub(text, "#t5s7_3#", ATLASLOOT_T5_SHAMAN_3);
    text = gsub(text, "#t5s8#", ATLASLOOT_T5_WARLOCK);
    text = gsub(text, "#t5s9_1#", ATLASLOOT_T5_WARRIOR_1);
    text = gsub(text, "#t5s9_2#", ATLASLOOT_T5_WARRIOR_2);
    
    --Arena Sets
    text = gsub(text, "#arenas1_1#", ATLASLOOT_ARENA_DRUID_1);
    text = gsub(text, "#arenas1_2#", ATLASLOOT_ARENA_DRUID_2);
    text = gsub(text, "#arenas1_3#", ATLASLOOT_ARENA_DRUID_3);
    text = gsub(text, "#arenas2#", ATLASLOOT_ARENA_HUNTER);
    text = gsub(text, "#arenas3#", ATLASLOOT_ARENA_MAGE);
    text = gsub(text, "#arenas4_1#", ATLASLOOT_ARENA_PALADIN_1);
    text = gsub(text, "#arenas4_2#", ATLASLOOT_ARENA_PALADIN_2);
    text = gsub(text, "#arenas4_3#", ATLASLOOT_ARENA_PALADIN_3);
    text = gsub(text, "#arenas5_1#", ATLASLOOT_ARENA_PRIEST_1);
    text = gsub(text, "#arenas5_2#", ATLASLOOT_ARENA_PRIEST_2);
    text = gsub(text, "#arenas6#", ATLASLOOT_ARENA_ROGUE);
    text = gsub(text, "#arenas7_1#", ATLASLOOT_ARENA_SHAMAN_1);
    text = gsub(text, "#arenas7_2#", ATLASLOOT_ARENA_SHAMAN_2);
    text = gsub(text, "#arenas7_3#", ATLASLOOT_ARENA_SHAMAN_3);
    text = gsub(text, "#arenas8_1#", ATLASLOOT_ARENA_WARLOCK_1);
    text = gsub(text, "#arenas8_2#", ATLASLOOT_ARENA_WARLOCK_2);
    text = gsub(text, "#arenas9#", ATLASLOOT_ARENA_WARRIOR);
    
    --Lvl 70 PvP
    text = gsub(text, "#pvp701_1_a#", ATLASLOOT_PVP_70_A_DRUID_1);
    text = gsub(text, "#pvp701_1_h#", ATLASLOOT_PVP_70_H_DRUID_1);
    text = gsub(text, "#pvp701_2_a#", ATLASLOOT_PVP_70_A_DRUID_2);
    text = gsub(text, "#pvp701_2_h#", ATLASLOOT_PVP_70_H_DRUID_2);
    text = gsub(text, "#pvp701_3_a#", ATLASLOOT_PVP_70_A_DRUID_3);
    text = gsub(text, "#pvp701_3_h#", ATLASLOOT_PVP_70_H_DRUID_3);
    text = gsub(text, "#pvp702_a#", ATLASLOOT_PVP_70_A_HUNTER_1);
    text = gsub(text, "#pvp702_h#", ATLASLOOT_PVP_70_H_HUNTER_1);
    text = gsub(text, "#pvp703_a#", ATLASLOOT_PVP_70_A_MAGE_1);
    text = gsub(text, "#pvp703_h#", ATLASLOOT_PVP_70_H_MAGE_1);
    text = gsub(text, "#pvp704_1_a#", ATLASLOOT_PVP_70_A_PALADIN_1);
    text = gsub(text, "#pvp704_1_h#", ATLASLOOT_PVP_70_H_PALADIN_1);
    text = gsub(text, "#pvp704_2_a#", ATLASLOOT_PVP_70_A_PALADIN_2);
    text = gsub(text, "#pvp704_2_h#", ATLASLOOT_PVP_70_H_PALADIN_2);
    text = gsub(text, "#pvp704_3_a#", ATLASLOOT_PVP_70_A_PALADIN_3);
    text = gsub(text, "#pvp704_3_h#", ATLASLOOT_PVP_70_H_PALADIN_3);
    text = gsub(text, "#pvp705_1_a#", ATLASLOOT_PVP_70_A_PRIEST_1);
    text = gsub(text, "#pvp705_1_h#", ATLASLOOT_PVP_70_H_PRIEST_1);
    text = gsub(text, "#pvp705_2_a#", ATLASLOOT_PVP_70_A_PRIEST_2);
    text = gsub(text, "#pvp705_2_h#", ATLASLOOT_PVP_70_H_PRIEST_2);
    text = gsub(text, "#pvp706_a#", ATLASLOOT_PVP_70_A_ROGUE_1);
    text = gsub(text, "#pvp706_h#", ATLASLOOT_PVP_70_H_ROGUE_1);
    text = gsub(text, "#pvp707_1_a#", ATLASLOOT_PVP_70_A_SHAMAN_1);
    text = gsub(text, "#pvp707_1_h#", ATLASLOOT_PVP_70_H_SHAMAN_1);
    text = gsub(text, "#pvp707_2_a#", ATLASLOOT_PVP_70_A_SHAMAN_2);
    text = gsub(text, "#pvp707_2_h#", ATLASLOOT_PVP_70_H_SHAMAN_2);
    text = gsub(text, "#pvp708_a#", ATLASLOOT_PVP_70_A_WARLOCK_1);
    text = gsub(text, "#pvp708_h#", ATLASLOOT_PVP_70_H_WARLOCK_1);
    text = gsub(text, "#pvp709_a#", ATLASLOOT_PVP_70_A_WARRIOR_1);
    text = gsub(text, "#pvp709_h#", ATLASLOOT_PVP_70_H_WARRIOR_1);
    
    --PvP Epic Horde Sets
    text = gsub(text, "#pvpeh1#", ATLASLOOT_PVP_EPIC_H_DRUID);
    text = gsub(text, "#pvpeh2#", ATLASLOOT_PVP_EPIC_H_HUNTER);
    text = gsub(text, "#pvpeh3#", ATLASLOOT_PVP_EPIC_H_MAGE);
    text = gsub(text, "#pvpeh4#", ATLASLOOT_PVP_EPIC_H_PRIEST);
    text = gsub(text, "#pvpeh5#", ATLASLOOT_PVP_EPIC_H_ROGUE);
    text = gsub(text, "#pvpeh6#", ATLASLOOT_PVP_EPIC_H_SHAMAN);
    text = gsub(text, "#pvpeh7#", ATLASLOOT_PVP_EPIC_H_WARLOCK);
    text = gsub(text, "#pvpeh8#", ATLASLOOT_PVP_EPIC_H_WARRIOR);
    text = gsub(text, "#pvpeh9#", ATLASLOOT_PVP_EPIC_H_PALADIN);
    
    --PvP Epic Alliance Sets
    text = gsub(text, "#pvpea1#", ATLASLOOT_PVP_EPIC_A_DRUID);
    text = gsub(text, "#pvpea2#", ATLASLOOT_PVP_EPIC_A_HUNTER);
    text = gsub(text, "#pvpea3#", ATLASLOOT_PVP_EPIC_A_MAGE);
    text = gsub(text, "#pvpea4#", ATLASLOOT_PVP_EPIC_A_PALADIN);
    text = gsub(text, "#pvpea5#", ATLASLOOT_PVP_EPIC_A_PRIEST);
    text = gsub(text, "#pvpea6#", ATLASLOOT_PVP_EPIC_A_ROGUE);
    text = gsub(text, "#pvpea7#", ATLASLOOT_PVP_EPIC_A_WARLOCK);
    text = gsub(text, "#pvpea8#", ATLASLOOT_PVP_EPIC_A_WARRIOR);
    text = gsub(text, "#pvpea9#", ATLASLOOT_PVP_EPIC_A_SHAMAN);
    
    --PvP Rare Horde Sets
    text = gsub(text, "#pvprh1#", ATLASLOOT_PVP_RARE_H_DRUID);
    text = gsub(text, "#pvprh2#", ATLASLOOT_PVP_RARE_H_HUNTER);
    text = gsub(text, "#pvprh3#", ATLASLOOT_PVP_RARE_H_MAGE);
    text = gsub(text, "#pvprh4#", ATLASLOOT_PVP_RARE_H_PRIEST);
    text = gsub(text, "#pvprh5#", ATLASLOOT_PVP_RARE_H_ROGUE);
    text = gsub(text, "#pvprh6#", ATLASLOOT_PVP_RARE_H_SHAMAN);
    text = gsub(text, "#pvprh7#", ATLASLOOT_PVP_RARE_H_WARLOCK);
    text = gsub(text, "#pvprh8#", ATLASLOOT_PVP_RARE_H_WARRIOR);
    text = gsub(text, "#pvprh9#", ATLASLOOT_PVP_RARE_H_PALADIN);
    
    --PvP Rare Alliance Sets
    text = gsub(text, "#pvpra1#", ATLASLOOT_PVP_RARE_A_DRUID);
    text = gsub(text, "#pvpra2#", ATLASLOOT_PVP_RARE_A_HUNTER);
    text = gsub(text, "#pvpra3#", ATLASLOOT_PVP_RARE_A_MAGE);
    text = gsub(text, "#pvpra4#", ATLASLOOT_PVP_RARE_A_PALADIN);
    text = gsub(text, "#pvpra5#", ATLASLOOT_PVP_RARE_A_PRIEST);
    text = gsub(text, "#pvpra6#", ATLASLOOT_PVP_RARE_A_ROGUE);
    text = gsub(text, "#pvpra7#", ATLASLOOT_PVP_RARE_A_WARLOCK);
    text = gsub(text, "#pvpra8#", ATLASLOOT_PVP_RARE_A_WARRIOR);
    text = gsub(text, "#pvpra9#", ATLASLOOT_PVP_RARE_A_SHAMAN);
    
    --Misc PvP Set Text
    text = gsub(text, "#pvps1#", ATLASLOOT_PVP_EPIC_SET);
    text = gsub(text, "#pvps2#", ATLASLOOT_PVP_RARE_SET);
    
    --Text colouring
    text = gsub(text, "=q0=", "|cff9d9d9d");
    text = gsub(text, "=q1=", "|cffFFFFFF");
    text = gsub(text, "=q2=", "|cff1eff00");
    text = gsub(text, "=q3=", "|cff0070dd");
    text = gsub(text, "=q4=", "|cffa335ee");
    text = gsub(text, "=q5=", "|cffFF8000");
    text = gsub(text, "=q6=", "|cffFF0000");
    text = gsub(text, "=ec1=", "|cffFF8400");
    text = gsub(text, "=ds=", "|cffFFd200");
    
    --Currency Icons
    text = gsub(text, "#gold#", "Interface\\AddOns\\AtlasLoot\\Images\\gold");
    text = gsub(text, "#silver#", "Interface\\AddOns\\AtlasLoot\\Images\\silver");
    text = gsub(text, "#copper#", "Interface\\AddOns\\AtlasLoot\\Images\\bronze");
    text = gsub(text, "#wsg#", "Interface\\Icons\\INV_Misc_Rune_07");
    text = gsub(text, "#ab#", "Interface\\Icons\\INV_Jewelry_Amulet_07");
    text = gsub(text, "#av#", "Interface\\Icons\\INV_Jewelry_Necklace_21");
    text = gsub(text, "#eos#", "Interface\\Icons\\Spell_Nature_EyeOfTheStorm");
    text = gsub(text, "#horde#", "Interface\\AddOns\\AtlasLoot\\Images\\Horde");
    text = gsub(text, "#alliance#", "Interface\\AddOns\\AtlasLoot\\Images\\Alliance");
    text = gsub(text, "#arena#", "Interface\\PVPFrame\\PVP-ArenaPoints-Icon");
    text = gsub(text, "#markthrallmar#", "Interface\\Icons\\INV_Misc_Token_Thrallmar");
    text = gsub(text, "#markhhold#", "Interface\\Icons\\INV_Misc_Token_HonorHold");
    text = gsub(text, "#halaabattle#", "Interface\\Icons\\INV_Misc_Rune_08");
    text = gsub(text, "#halaaresearch#", "Interface\\Icons\\INV_Misc_Rune_09");
    text = gsub(text, "#spiritshard#", "Interface\\Icons\\INV_Jewelry_FrostwolfTrinket_04");
    text = gsub(text, "#heroic#", "Interface\\Icons\\Spell_Holy_ChampionsBond");
    text = gsub(text, "#darkmoon#", "Interface\\Icons\\INV_Misc_Ticket_Darkmoon_01");
    text = gsub(text, "#ccombat#", "Interface\\Icons\\INV_Jewelry_Talisman_06");
    text = gsub(text, "#ctactical#", "Interface\\Icons\\INV_Jewelry_Amulet_02");
    text = gsub(text, "#clogistics#", "Interface\\Icons\\INV_Jewelry_Necklace_16");
    text = gsub(text, "#cremulos#", "Interface\\Icons\\INV_Jewelry_Necklace_14");
    text = gsub(text, "#ccenarius#", "Interface\\Icons\\INV_Jewelry_Necklace_12");
    text = gsub(text, "#zandalar#", "Interface\\Icons\\INV_Misc_Coin_08");
    text = gsub(text, "#glowcap#", "Interface\\Icons\\INV_Mushroom_02");
    
    return text;
end
